> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sprinter.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Operator Status

> Returns the current operator address and list of whitelisted credit receivers.

<Info>
  The `asset` parameter is the credit asset symbol — currently supported values are `usdc` and `eure`.
</Info>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sprinter.tech/credit/v2/accounts/0xUSER/assets/usdc/operator'
  ```

  ```python Python theme={null}
  import requests

  response = requests.get("https://api.sprinter.tech/credit/v2/accounts/0xUSER/assets/usdc/operator")
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.sprinter.tech/credit/v2/accounts/0xUSER/assets/usdc/operator"
  );
  const data = await response.json();
  console.log(data);
  ```

  ```go Go theme={null}
  package main

  import (
  	"fmt"
  	"io"
  	"net/http"
  )

  func main() {
  	resp, _ := http.Get("https://api.sprinter.tech/credit/v2/accounts/0xUSER/assets/usdc/operator")
  	defer resp.Body.Close()
  	body, _ := io.ReadAll(resp.Body)
  	fmt.Println(string(body))
  }
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": {
      "operator": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD18",
      "receivers": [
        "0xAbCdEf1234567890AbCdEf1234567890AbCdEf12",
        "0x9876543210FeDcBa9876543210FeDcBa98765432"
      ]
    }
  }
  ```
</ResponseExample>

<Tip>
  **Machine-readable API spec:** [OpenAPI JSON](https://api.sprinter.tech/swagger/doc.json) | [Swagger UI](https://api.sprinter.tech/swagger/index.html)
</Tip>


## OpenAPI

````yaml get /credit/v2/accounts/{account}/assets/{asset}/operator
openapi: 3.0.0
info:
  contact: {}
  title: ''
  version: 0.0.1
servers:
  - url: https://api.sprinter.tech
    description: Production server
security: []
paths:
  /credit/v2/accounts/{account}/assets/{asset}/operator:
    get:
      tags:
        - Credit
      summary: Get operator status for an account
      description: >-
        Returns the current operator address and list of whitelisted credit
        receivers.
      parameters:
        - description: User account address
          name: account
          in: path
          required: true
          schema:
            type: string
        - example: usdc
          description: Credit asset symbol (e.g. usdc, eure)
          name: asset
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Operator status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/credit.GetOperatorStatus.response'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
components:
  schemas:
    credit.GetOperatorStatus.response:
      type: object
      required:
        - data
      properties:
        data:
          type: object
          required:
            - operator
            - receivers
          properties:
            operator:
              type: string
              example: '0x742d35Cc6634C0532925a3b844Bc9e7595f2bD18'
            receivers:
              type: array
              items:
                type: string
              example:
                - '0xAbCdEf1234567890AbCdEf1234567890AbCdEf12'
    responses.ErrorResponse:
      type: object
      required:
        - error
      properties:
        debug:
          type: string
        error:
          type: string

````